# This is a yum.conf for Fedora Core 3.
# It uses Fedora mirrors to make things faster,
# since the main Red Hat Fedora site is pretty slow.
#
# Also, if you look down in the "Alternate Repositories"
# section, you'll notice some disabled repositories.
# If you want to use them, just do:
#
# yum --enablerepo <reponame> <command>
#
# Where <reponame> is the name of the repo, and <command>
# is your normal yum command.
#
# Authors: 
#   Maxwell Kanat-Alexander (max at fedorafaq dot org)
#   Sindre Pedersn Bjørdal (foolish at fedorafaq dot org)
#
# Date: 6 February 2005
#
# Changes
# -------
# 6 February 2005
#   + Fedora Extras!
#   + Dries Mirrors
#   + Fixed a Livna mirror.
# 26 November 2004
#   + Updated ATrpms per Axel Thimm's request.
# 22 November 2004
#   + Updated for Fedora Core 3
# 04 November 2004
#   + Fixed and checked-over for publishing
# 17 July 2004 (Sindre)
#   + Replaced Base, debug, updates-released and updates mirrors with faster ones. 
#   + Added the official servers to base and updates, commented of course. 
#   + Tested all non-commented parts, everything works. 
# 29 May 2004
#   + Tested commented-out parts: all work except subpop.net
#   + Livna and NewRPMs mirrors!
# 22 May 2004
#   + Incorporated Darrenn's fixes for Fedora Core 2!
#   + Commented-out parts may still not work properly
# 29 Feb 2004
#   + Updated a lot of mirrors, for speed
#   + Fixed one ATrpms mirror
#   + Added Dries and spc, two more FreshRPMs-compatible repos
# 9 Jan 2004
#   + Updated ATrpms for their new directory structure.
# 31 Dec 2003
#   + Added JPackage, commented out
#   + Standard Red Hat Fedora Core sites commented-out by default
#   + Removed dulug from debug, since it doesn't have debug
# 29 Dec 2003
#   + Added mirrors for the flash-plugin, since some go down.
#   + Added base-debuginfo, commented out

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=fedora-release
tolerant=1
exactarch=0
# Added this because some mirrors go down and then retying takes forever.
retries=1
timeout=10

# Basic Repos are in /etc/yum.conf.d/ #

###################
## Fedora Extras ##
###################

[extras]
name=Fedora Extras - $releasever - $basearch
baseurl=http://fr2.rpmfind.net/linux/fedora/extras/$releasever/$basearch/
  http://mirrors.kernel.org/fedora/extras/$releasever/$basearch/
  http://mirror.hiwaay.net/redhat/fedora/linux/extras/$releasever/$basearch/
  http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/$basearch/
#    http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/$basearch/
gpgcheck=0
gpgkey=http://download.fedora.redhat.com/pub/fedora/linux/extras/RPM-GPG-KEY-Fedora-Extras

###############
## Livna.org ##
###############

[livna-stable]
name=Livna.org - Fedora Compatible Packages (stable)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/RPMS.stable
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/RPMS.stable
#gpgcheck=1

[livna-unstable]
name=Livna.org - Fedora Compatible Packages (unstable)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/RPMS.unstable
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/RPMS.unstable
#gpgcheck=1

[livna-testing]
name=Livna.org - Fedora Compatible Packages (testing)
baseurl=http://rpm.livna.org/fedora/$releasever/$basearch/RPMS.testing
  http://livna.cat.pdx.edu/fedora/$releasever/$basearch/RPMS.testing
#gpgcheck=1


############
# Jpackage #
############

# JPackage is a GREAT repository for Java Software.
# However, you may have to compile some SRPMs to use it,
# so it's commented out by default. See 
# <http://mirrors.sunsite.dk/jpackage/1.6/generic/non-free/SRPMS> 
# For the SRPMs, and <http://www.jpackage.org/rebuilding.php> for 
# the general details.
#
# Note: JPackage IS compatible with the fedora.us repositories.
# You can use JPackage and fedora.us at the same time, without 
# any trouble. It's also compatible with the Alternate Repositories, 
# for the most part.

[jpackage-generic]
name=JPackage Cross-Platform Packages
baseurl=http://mirrors.sunsite.dk/jpackage/1.6/generic/free
  ftp://jpackage.hmdc.harvard.edu/JPackage/1.6/generic/free
  http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/jpackage/1.6/generic/free
failovermethod=priority
enabled=0
#gpgcheck=1

[jpackage-fedora]
name=JPackage Fedora Packages
baseurl=http://mirrors.sunsite.dk/jpackage/1.6/fedora-$releasever/free
  ftp://jpackage.hmdc.harvard.edu/JPackage/1.6/fedora-$releasever/free
  http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/jpackage/1.6/fedora-$releasever/free
failovermethod=priority
enabled=0
#gpgcheck=1


############################
## Alternate Repositories ##
############################

# To use these repos, either use the --enablerepo 
# command-line argument to yum, or change "enabled=0"
# to "enabled=1". Note: Some packagesfrom these repositories
# may conflict with the fedora.us packages. If you use these
# repositories, you may wish to disable the fedora.us and 
# livna.org repositories.

[freshrpms]
name=FreshRPMs
mirrorlist=http://ayo.freshrpms.net/fedora/linux/$releasever/mirrors-freshrpms
enabled=0
#gpgcheck=1

[dag]
name=Dag APT Repository
baseurl=http://dag.freshrpms.net/fedora/$releasever/en/$basearch/dag/
  http://dag.atrpms.net/fedora/$releasever/en/$basearch/dag/
  http://ftp.heanet.ie/pub/freshrpms/pub/dag/fedora/$releasever/en/$basearch/dag/
enabled=0
#gpgcheck=1

[dries]
name=Dries APT/YUM Repository
baseurl=http://ftp.freshrpms.net/pub/dag/dries/fedora/linux/$releasever/$basearch/dries/RPMS/
  http://mirrors.ircam.fr/pub/dag/dries/fedora/linux/$releasever/$basearch/dries/RPMS/
  http://apt.sw.be/dries/fedora/linux/$releasever/$basearch/dries/RPMS/
  http://dries.studentenweb.org/yum/fedora/linux/$releasever/$basearch/dries/RPMS/
enabled=0
#gpgcheck=1

[newrpms]
name=NewRPMs
baseurl=http://newrpms.sunsite.dk/apt/redhat/en/$basearch/fc$releasever
  http://newrpms.atrpms.net/apt/redhat/en/$basearch/fc$releasever
enabled=0
#gpgcheck=1

[atrpms]
name=ATrpms - Stable
baseurl=http://apt.atrpms.net/fedora/$releasever/en/$basearch/at-stable
  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-stable
  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-stable
enabled=0
#gpgcheck=1

[atrpms-testing]
name=ATrpms - Testing
baseurl=http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-testing
  http://apt.atrpms.net/fedora/$releasever/en/$basearch/at-testing
  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-testing
enabled=0
#gpgcheck=1

# Warning: Don't enable this "bleeding" repo if you want stable software!
[atrpms-bleeding]
name=ATrpms - Bleeding
baseurl=http://apt.atrpms.net/fedora/$releasever/en/$basearch/at-bleeding
  http://ftp-stud.fht-esslingen.de/atrpms/download.atrpms.net/fedora/$releasever/en/$basearch/at-bleeding
  http://wftp.tu-chemnitz.de/pub/linux/ATrpms/fedora/$releasever/en/$basearch/at-bleeding
enabled=0
#gpgcheck=1

###################
## Miscellaneous ##
###################

# Semi-official Macromedia repository containing the flash-plugin rpm.
[flash]
name=macromedia.mplug.org - Flash Plugin
baseurl=http://macromedia.mplug.org/apt/fedora/$releasever
  http://sluglug.ucsc.edu/macromedia/apt/fedora/$releasever
  http://ruslug.rutgers.edu/macromedia/apt/fedora/$releasever
  http://macromedia.rediris.es/apt/fedora/$releasever
enabled=0
#gpgcheck=1
